<template>
  <div class="filtered-layer-panel d-flex flex-grow-1 flex-column py-1 px-2" v-bind:class="maximizedClass">
    <layer-status-control v-for="layer in layers" :key="layer.uniqueId" :layerId="layer.uniqueId"/>
  </div>
</template>

<script>
import WorkspaceGetter from '@/workspace/mixins/WorkspaceGetter'
import LayerStatusControl from '@/workspace/components/layers/LayerStatusControl'

export default {
  name: 'filteredlayerpanel',

  mixins: [
    WorkspaceGetter,
  ],

  computed: {
    currentLayerGroup: {
      get() {
        return this.$store.getters.workspaceLayerGroupById(
          this.workspaceId,
          this.$store.getters.workspaceActiveLayerGroup(this.workspaceId)
        )
      }
    },

    layers: {
      get() {
        return this.$store.getters.workspaceLayers(this.workspaceId).filter(layer => {
          return layer.groups.includes(this.currentLayerGroup.id)
        }).sort((a, b) => {
          if(a.title < b.title) return -1
          if(a.title > b.title) return 1
          return 0
        })
      }
    },

    maximizedClass: {
      get() {
        return {
          maximized: !this.$store.getters.workspaceLayersPanelMinimized(this.workspaceId)
        }
      }
    }
  },

  components: {
    LayerStatusControl,
  },
}
</script>

<style scoped>
.filtered-layer-panel {
  font-size: 0.8rem;
}

.filtered-layer-panel.maximized {
  width: 15rem;
}
</style>
